View Issue Details

IDProjectCategoryView StatusLast Update
0001050FreeCADMerge requestpublic2013-03-16 14:05
ReporterjmaustpcAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformallOSallOS Version
Product Version 
Target VersiontrunkFixed in Version0.14 
Summary0001050: use a face as a profile for Part Loft and sweep
DescriptionI have written some code to allow a face to be selected as a profile for Part Loft and Sweep.

This will also allow Draft WB closed shapes to be used as profiles for Part Loft and Sweep.

This is a link to the forum topic
https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=10&t=3714

I have pushed the code to my GitHub repository, "sweep_face1" branch here: -
https://github.com/jmaustpc/FreeCAD_sf_master/commits/sweep_face1

The code uses ShapeAnalysis::OuterWire to create a wire for the Loft/Sweep profile.
TagsNo tags attached.

Activities

jmaustpc

2013-03-11 13:58

manager   ~0002978

Hi Yorik, I believe this is also ready to commit.

yorik

2013-03-16 14:05

administrator   ~0002987

Committed in a3d68a1

Issue History

Date Modified Username Field Change
2013-03-09 16:57 jmaustpc New Issue
2013-03-11 13:56 jmaustpc Status new => assigned
2013-03-11 13:56 jmaustpc Assigned To => yorik
2013-03-11 13:58 jmaustpc Note Added: 0002978
2013-03-11 13:58 jmaustpc Category Feature => Merge request
2013-03-11 13:58 jmaustpc Target Version => trunk
2013-03-16 14:05 yorik Note Added: 0002987
2013-03-16 14:05 yorik Status assigned => closed
2013-03-16 14:05 yorik Resolution open => fixed
2013-03-16 14:05 yorik Fixed in Version => 0.14